diff --git a/base/server/python/pki/server/upgrade.py b/base/server/python/pki/server/upgrade.py
index 1db945e12a08fd480b00b668afaef3b7fb37c363..c1ee0e7b17f3d35323c74d88301c627265eed675 100644
--- a/base/server/python/pki/server/upgrade.py
+++ b/base/server/python/pki/server/upgrade.py
@@ -38,14 +38,12 @@ SUBSYSTEM_TRACKER = '%s/CS.cfg'
 class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
 
     def __init__(self):
-
         super(PKIServerUpgradeScriptlet, self).__init__()
 
     def get_backup_dir(self):
         return BACKUP_DIR + '/' + str(self.version) + '/' + str(self.index)
 
     def can_upgrade_server(self, instance, subsystem=None):
-
         # A scriptlet can run if the version matches the tracker and
         # the index is the next to be executed.
 
@@ -55,7 +53,6 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
             self.index == tracker.get_index() + 1
 
     def update_server_tracker(self, instance, subsystem=None):
-
         # Increment the index in the tracker. If it's the last scriptlet
         # in this version, update the tracker version.
 
@@ -70,7 +67,6 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
             tracker.set_version(self.version.next)
 
     def upgrade(self):
-
         for instance in self.upgrader.instances():
 
             self.upgrade_subsystems(instance)
@@ -112,7 +108,6 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
                     'Upgrade failed in %s: %s' % (instance, e), e, instance)
 
     def upgrade_subsystems(self, instance):
-
         for subsystem in self.upgrader.subsystems(instance):
 
             if not self.can_upgrade_server(instance, subsystem):
@@ -159,10 +154,9 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
 
 class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
 
-    def __init__(
-            self, instanceName=None, instanceType=None, subsystemName=None,
-            upgrade_dir=UPGRADE_DIR, version=None, index=None, silent=False):
-
+    def __init__(self, instanceName=None, instanceType=None,  # nopep8
+                 subsystemName=None, upgrade_dir=UPGRADE_DIR,  # nopep8
+                 version=None, index=None, silent=False):
         super(PKIServerUpgrader, self).__init__(
             upgrade_dir, version, index, silent)
 
@@ -179,9 +173,10 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         self.subsystem_trackers = {}
 
     def instances(self):
-
         if self.instanceName and self.instanceType:
-            instance = pki.server.PKIInstance(self.instanceName, self.instanceType)
+            instance = pki.server.PKIInstance(
+                self.instanceName,
+                self.instanceType)
             instance.validate()
             instance.load()
             return [instance]
@@ -215,7 +210,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         return instance_list
 
     def subsystems(self, instance):
-
         if self.subsystemName:
             subsystem = pki.server.PKISubsystem(instance, self.subsystemName)
             subsystem.validate()
@@ -229,7 +223,9 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
                 instance.name)
             for subsystemName in os.listdir(registry_dir):
                 if subsystemName in pki.server.SUBSYSTEM_TYPES:
-                    subsystem = pki.server.PKISubsystem(instance, subsystemName)
+                    subsystem = pki.server.PKISubsystem(
+                        instance,
+                        subsystemName)
                     subsystem.validate()
                     subsystem_list.append(subsystem)
         else:
@@ -239,7 +235,9 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
                     subsystemName,
                     instance.name)
                 if os.path.exists(registry_dir):
-                    subsystem = pki.server.PKISubsystem(instance, subsystemName)
+                    subsystem = pki.server.PKISubsystem(
+                        instance,
+                        subsystemName)
                     subsystem.validate()
                     subsystem_list.append(subsystem)
 
@@ -248,7 +246,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         return subsystem_list
 
     def get_server_tracker(self, instance, subsystem=None):
-
         if subsystem:
             name = str(subsystem)
             try:
@@ -275,7 +272,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         return tracker
 
     def get_current_version(self):
-
         current_version = None
 
         for instance in self.instances():
@@ -306,7 +302,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         return current_version
 
     def show_tracker(self):
-
         for instance in self.instances():
 
             if not self.subsystemName:
@@ -319,7 +314,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
                 tracker.show()
 
     def set_tracker(self, version):
-
         for instance in self.instances():
 
             if not self.subsystemName:
@@ -334,7 +328,6 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         print 'Tracker has been set to version ' + str(version) + '.'
 
     def remove_tracker(self):
-
         for instance in self.instances():
 
             if not self.subsystemName:
diff --git a/base/server/sbin/pki-server b/base/server/sbin/pki-server
index 627a4765ece87d9c98a973aef00fb5fea69f361f..2afaaa547531af787c951141cd1b46f0aee448cc 100644
--- a/base/server/sbin/pki-server
+++ b/base/server/sbin/pki-server
@@ -32,8 +32,9 @@ import pki.server.cli.nuxwdog
 class PKIServerCLI(pki.cli.CLI):
 
     def __init__(self):
-
-        super(PKIServerCLI, self).__init__('pki-server', 'PKI server command-line interface')
+        super(PKIServerCLI, self).__init__(
+            'pki-server',
+            'PKI server command-line interface')
 
         self.add_module(pki.server.cli.instance.InstanceCLI())
         self.add_module(pki.server.cli.subsystem.SubsystemCLI())
@@ -44,7 +45,6 @@ class PKIServerCLI(pki.cli.CLI):
         return module_name
 
     def print_help(self):
-
         print 'Usage: pki-server [OPTIONS]'
         print
         print '  -v, --verbose                Run in verbose mode.'
@@ -55,7 +55,6 @@ class PKIServerCLI(pki.cli.CLI):
         super(PKIServerCLI, self).print_help()
 
     def execute(self, argv):
-
         try:
             opts, args = getopt.getopt(argv[1:], 'v', [
                 'verbose', 'debug', 'help'])
diff --git a/base/server/sbin/pkidestroy b/base/server/sbin/pkidestroy
index abc11dc8d1fb9f407398b0cb61213f40ade41ce8..fa5232e103dab6aaf6cebe1d8d074cb0c568035e 100755
--- a/base/server/sbin/pkidestroy
+++ b/base/server/sbin/pkidestroy
@@ -45,11 +45,11 @@ There was a problem importing one of the required Python modules. The
 error was:
 
     %s
-""" % sys.exc_value
+""" % sys.exc_info()[1]
     sys.exit(1)
 
 
-#Handle the Keyboard Interrupt
+# Handle the Keyboard Interrupt
 # pylint: disable=W0613
 def interrupt_handler(event, frame):
     print
@@ -114,7 +114,7 @@ def main(argv):
         action='store',
         nargs=1, metavar='<security domain user>',
         help='security domain user')
-    
+
     parser.optional.add_argument(
         '-W',
         dest='pki_secdomain_pass_file',
diff --git a/base/server/sbin/pkispawn b/base/server/sbin/pkispawn
index fb5a61a8f159d79e6456191df5e266427c4e3d0f..70cf545412cef2cb99cc81c0d0d3b140d0e5eab5 100755
--- a/base/server/sbin/pkispawn
+++ b/base/server/sbin/pkispawn
@@ -48,7 +48,7 @@ There was a problem importing one of the required Python modules. The
 error was:
 
     %s
-""" % sys.exc_value
+""" % sys.exc_info()[1]
     sys.exit(1)
 
 
@@ -116,7 +116,8 @@ def main(argv):
 
     # -f <user deployment config>
     if args.user_deployment_cfg is not None:
-        config.user_deployment_cfg = str(args.user_deployment_cfg).strip('[\']')
+        config.user_deployment_cfg = str(
+            args.user_deployment_cfg).strip('[\']')
 
     parser.validate()
     interactive = False
@@ -234,22 +235,22 @@ def main(argv):
             #     print "Interactive HSM installation is currently unsupported."
             #     sys.exit(0)
 
-                  # TBD:  Interactive HSM installation
-                  # parser.set_property(config.pki_subsystem,
-                  #                     'pki_hsm_enable',
-                  #                     'True')
-                  # modulename = parser.read_text(
-                  #     'HSM Module Name (e. g. - nethsm)', allow_empty=False)
-                  # parser.set_property(config.pki_subsystem,
-                  #                     'pki_hsm_modulename',
-                  #                     modulename)
-                  # libfile = parser.read_text(
-                  #     'HSM Lib File ' +
-                  #     '(e. g. - /opt/nfast/toolkits/pkcs11/libcknfast.so)',
-                  #     allow_empty=False)
-                  # parser.set_property(config.pki_subsystem,
-                  #                     'pki_hsm_libfile',
-                  #                     libfile)
+            # TBD:  Interactive HSM installation
+            # parser.set_property(config.pki_subsystem,
+            #                     'pki_hsm_enable',
+            #                     'True')
+            # modulename = parser.read_text(
+            #     'HSM Module Name (e. g. - nethsm)', allow_empty=False)
+            # parser.set_property(config.pki_subsystem,
+            #                     'pki_hsm_modulename',
+            #                     modulename)
+            # libfile = parser.read_text(
+            #     'HSM Lib File ' +
+            #     '(e. g. - /opt/nfast/toolkits/pkcs11/libcknfast.so)',
+            #     allow_empty=False)
+            # parser.set_property(config.pki_subsystem,
+            #                     'pki_hsm_libfile',
+            #                     libfile)
             # print
 
             print "Directory Server:"
@@ -415,7 +416,7 @@ def main(argv):
                         parser.set_property(config.pki_subsystem,
                                             'pki_enable_server_side_keygen',
                                             'True')
- 
+
                         parser.read_text('KRA URL',
                                          config.pki_subsystem,
                                          'pki_kra_uri')
@@ -487,7 +488,8 @@ def main(argv):
         sys.exit(1)
 
     # Enable 'pkispawn' logging.
-    config.pki_log_dir = config.pki_root_prefix + config.PKI_DEPLOYMENT_LOG_ROOT
+    config.pki_log_dir = config.pki_root_prefix + \
+        config.PKI_DEPLOYMENT_LOG_ROOT
     config.pki_log_name = "pki" + "-" + \
                           config.pki_subsystem.lower() + \
                           "-" + "spawn" + "." + \
@@ -643,10 +645,10 @@ def print_install_information(mdict):
                   % mdict['pki_client_database_dir']
         print log.PKI_CHECK_STATUS_MESSAGE % mdict['pki_instance_name']
         print log.PKI_INSTANCE_RESTART_MESSAGE % mdict['pki_instance_name']
-        if (((config.pki_subsystem == "KRA" or\
-              config.pki_subsystem == "OCSP") and\
-            config.str2bool(mdict['pki_standalone'])) and\
-            not config.str2bool(mdict['pki_external_step_two'])):
+        if (((config.pki_subsystem == "KRA" or
+              config.pki_subsystem == "OCSP") and
+             config.str2bool(mdict['pki_standalone'])) and
+                not config.str2bool(mdict['pki_external_step_two'])):
             # Stand-alone PKI KRA/OCSP (External CA Step 1)
             print log.PKI_CONFIGURATION_STANDALONE_1 % config.pki_subsystem
         else:
diff --git a/base/server/upgrade/10.0.1/01-ReplaceRandomNumberGenerator b/base/server/upgrade/10.0.1/01-ReplaceRandomNumberGenerator
index 5cf4e581b7fe96c8ffcf80832f79a2b6162919f6..7b477da0b9144a90f7d3633da8df3dd4f9e1a51e 100755
--- a/base/server/upgrade/10.0.1/01-ReplaceRandomNumberGenerator
+++ b/base/server/upgrade/10.0.1/01-ReplaceRandomNumberGenerator
@@ -27,7 +27,8 @@ import pki
 import pki.server.upgrade
 
 
-class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class ReplaceRandomNumberGenerator(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(ReplaceRandomNumberGenerator, self).__init__()
@@ -38,7 +39,11 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
 
     def upgrade_subsystem(self, instance, subsystem):
 
-        meta_inf = os.path.join(instance.base_dir, 'webapps', subsystem.name, 'META-INF')
+        meta_inf = os.path.join(
+            instance.base_dir,
+            'webapps',
+            subsystem.name,
+            'META-INF')
         self.backup(meta_inf)
 
         self.create_meta_inf(instance, meta_inf)
@@ -54,7 +59,7 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
         document = etree.parse(context_xml, self.parser)
 
         self.add_manager(document)
-        if subsystem.type >=10:
+        if subsystem.type >= 10:
             self.update_authenticator(document)
         else:
             self.remove_authenticator(document)
@@ -70,7 +75,11 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
 
     def update_root_context_xml(self, instance):
 
-        meta_inf = os.path.join(instance.base_dir, 'webapps', 'ROOT', 'META-INF')
+        meta_inf = os.path.join(
+            instance.base_dir,
+            'webapps',
+            'ROOT',
+            'META-INF')
         self.backup(meta_inf)
 
         self.create_meta_inf(instance, meta_inf)
@@ -92,7 +101,11 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
 
     def update_pki_context_xml(self, instance):
 
-        meta_inf = os.path.join(instance.base_dir, 'webapps', 'pki', 'META-INF')
+        meta_inf = os.path.join(
+            instance.base_dir,
+            'webapps',
+            'pki',
+            'META-INF')
         self.backup(meta_inf)
 
         self.create_meta_inf(instance, meta_inf)
@@ -118,7 +131,7 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
             os.mkdir(path)
 
         os.chown(path, instance.uid, instance.gid)
-        os.chmod(path, 0770)
+        os.chmod(path, 0o770)
 
     def create_context_xml(self, instance, source, target):
 
@@ -126,7 +139,7 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
             shutil.copyfile(source, target)
 
         os.chown(target, instance.uid, instance.gid)
-        os.chmod(target, 0660)
+        os.chmod(target, 0o660)
 
     def add_manager(self, document):
 
@@ -164,7 +177,7 @@ class ReplaceRandomNumberGenerator(pki.server.upgrade.PKIServerUpgradeScriptlet)
             # Create new authenticator'
             authenticator = etree.SubElement(authenticator, 'Valve')
             authenticator.set('className',
-                'com.netscape.cms.tomcat.SSLAuthenticatorWithFallback')
+                              'com.netscape.cms.tomcat.SSLAuthenticatorWithFallback')
 
         # Update authenticator's attributes
         authenticator.set('secureRandomProvider', 'Mozilla-JSS')
diff --git a/base/server/upgrade/10.0.5/01-EnableSessionInAuthenticator b/base/server/upgrade/10.0.5/01-EnableSessionInAuthenticator
index fe954c662b00a9d4bfa71ee97f6a66111b0838e5..53d97ab010ce32dbcc5f7a75dcee7d2d7a9ecc35 100755
--- a/base/server/upgrade/10.0.5/01-EnableSessionInAuthenticator
+++ b/base/server/upgrade/10.0.5/01-EnableSessionInAuthenticator
@@ -25,7 +25,8 @@ from lxml import etree
 import pki.server.upgrade
 
 
-class EnableSessionInAuthenticator(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class EnableSessionInAuthenticator(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(EnableSessionInAuthenticator, self).__init__()
diff --git a/base/server/upgrade/10.1.1/01-MoveWebApplicationContextFile b/base/server/upgrade/10.1.1/01-MoveWebApplicationContextFile
index 76dbb23d6127048d7e173ca0dfe7ccb7cc1eb8da..7fa6c937e0ba1fa21a66c4cb50ec83958a403573 100755
--- a/base/server/upgrade/10.1.1/01-MoveWebApplicationContextFile
+++ b/base/server/upgrade/10.1.1/01-MoveWebApplicationContextFile
@@ -24,7 +24,8 @@ import os
 import pki.server.upgrade
 
 
-class MoveWebApplicationContextFile(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class MoveWebApplicationContextFile(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(MoveWebApplicationContextFile, self).__init__()
@@ -41,7 +42,11 @@ class MoveWebApplicationContextFile(pki.server.upgrade.PKIServerUpgradeScriptlet
 
     def upgrade_webapp(self, instance, webapp):
 
-        metainf_dir = os.path.join(instance.base_dir, 'webapps', webapp, 'META-INF')
+        metainf_dir = os.path.join(
+            instance.base_dir,
+            'webapps',
+            webapp,
+            'META-INF')
         if not os.path.exists(metainf_dir):
             # upgrade already done
             return
diff --git a/base/server/upgrade/10.1.99/01-MoveWebApplicationContextFile b/base/server/upgrade/10.1.99/01-MoveWebApplicationContextFile
index 76dbb23d6127048d7e173ca0dfe7ccb7cc1eb8da..7fa6c937e0ba1fa21a66c4cb50ec83958a403573 100755
--- a/base/server/upgrade/10.1.99/01-MoveWebApplicationContextFile
+++ b/base/server/upgrade/10.1.99/01-MoveWebApplicationContextFile
@@ -24,7 +24,8 @@ import os
 import pki.server.upgrade
 
 
-class MoveWebApplicationContextFile(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class MoveWebApplicationContextFile(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(MoveWebApplicationContextFile, self).__init__()
@@ -41,7 +42,11 @@ class MoveWebApplicationContextFile(pki.server.upgrade.PKIServerUpgradeScriptlet
 
     def upgrade_webapp(self, instance, webapp):
 
-        metainf_dir = os.path.join(instance.base_dir, 'webapps', webapp, 'META-INF')
+        metainf_dir = os.path.join(
+            instance.base_dir,
+            'webapps',
+            webapp,
+            'META-INF')
         if not os.path.exists(metainf_dir):
             # upgrade already done
             return
diff --git a/base/server/upgrade/10.1.99/02-ReplaceJettisonWithJackson b/base/server/upgrade/10.1.99/02-ReplaceJettisonWithJackson
index b74f9d3ee9812e36377d21dbaf6a971420d72ffd..2da03a600b30f49db14e79fd3125fa477f2b0023 100755
--- a/base/server/upgrade/10.1.99/02-ReplaceJettisonWithJackson
+++ b/base/server/upgrade/10.1.99/02-ReplaceJettisonWithJackson
@@ -55,7 +55,9 @@ class ReplaceJettisonWithJackson(pki.server.upgrade.PKIServerUpgradeScriptlet):
         link = os.path.join(common_lib, 'jackson-annotations.jar')
         self.create_link(instance, source, link)
 
-        source = os.path.join('/usr/share/java/jackson', 'jackson-core-asl.jar')
+        source = os.path.join(
+            '/usr/share/java/jackson',
+            'jackson-core-asl.jar')
         link = os.path.join(common_lib, 'jackson-core-asl.jar')
         self.create_link(instance, source, link)
 
@@ -67,7 +69,9 @@ class ReplaceJettisonWithJackson(pki.server.upgrade.PKIServerUpgradeScriptlet):
         link = os.path.join(common_lib, 'jackson-databind.jar')
         self.create_link(instance, source, link)
 
-        source = os.path.join('/usr/share/java/jackson-jaxrs-providers', 'jackson-jaxrs-base.jar')
+        source = os.path.join(
+            '/usr/share/java/jackson-jaxrs-providers',
+            'jackson-jaxrs-base.jar')
         link = os.path.join(common_lib, 'jackson-jaxrs-base.jar')
         self.create_link(instance, source, link)
 
@@ -75,15 +79,21 @@ class ReplaceJettisonWithJackson(pki.server.upgrade.PKIServerUpgradeScriptlet):
         link = os.path.join(common_lib, 'jackson-jaxrs.jar')
         self.create_link(instance, source, link)
 
-        source = os.path.join('/usr/share/java/jackson-jaxrs-providers', 'jackson-jaxrs-json-provider.jar')
+        source = os.path.join(
+            '/usr/share/java/jackson-jaxrs-providers',
+            'jackson-jaxrs-json-provider.jar')
         link = os.path.join(common_lib, 'jackson-jaxrs-json-provider.jar')
         self.create_link(instance, source, link)
 
-        source = os.path.join('/usr/share/java/jackson', 'jackson-mapper-asl.jar')
+        source = os.path.join(
+            '/usr/share/java/jackson',
+            'jackson-mapper-asl.jar')
         link = os.path.join(common_lib, 'jackson-mapper-asl.jar')
         self.create_link(instance, source, link)
 
-        source = os.path.join('/usr/share/java', 'jackson-module-jaxb-annotations.jar')
+        source = os.path.join(
+            '/usr/share/java',
+            'jackson-module-jaxb-annotations.jar')
         link = os.path.join(common_lib, 'jackson-module-jaxb-annotations.jar')
         self.create_link(instance, source, link)
 
diff --git a/base/server/upgrade/10.1.99/04-ReplaceRESTEasyApplicationClass b/base/server/upgrade/10.1.99/04-ReplaceRESTEasyApplicationClass
index 870fa981c61779b00cc6ea6a4fab42969b5a0725..1cfff29f66ad15cfef8aaa609e39f0fd8eba6ea1 100755
--- a/base/server/upgrade/10.1.99/04-ReplaceRESTEasyApplicationClass
+++ b/base/server/upgrade/10.1.99/04-ReplaceRESTEasyApplicationClass
@@ -25,7 +25,9 @@ from lxml import etree as ET
 import pki
 import pki.server.upgrade
 
-class ReplaceRESTEasyApplicationClass(pki.server.upgrade.PKIServerUpgradeScriptlet):
+
+class ReplaceRESTEasyApplicationClass(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(ReplaceRESTEasyApplicationClass, self).__init__()
@@ -58,15 +60,20 @@ class ReplaceRESTEasyApplicationClass(pki.server.upgrade.PKIServerUpgradeScriptl
         if servlet is None:
             raise Exception('Resteasy servlet not found in ' + web_xml)
 
-        param = servlet.find('init-param[param-name="javax.ws.rs.Application"]')
+        param = servlet.find(
+            'init-param[param-name="javax.ws.rs.Application"]')
 
         if param is None:
-            raise Exception('Resteasy application parameter not found in ' + web_xml)
+            raise Exception(
+                'Resteasy application parameter not found in ' +
+                web_xml)
 
         value = param.find('param-value')
 
         if value is None:
-            raise Exception('Resteasy application value not found in ' + web_xml)
+            raise Exception(
+                'Resteasy application value not found in ' +
+                web_xml)
 
         value.text = self.class_names[subsystem.name]
 
diff --git a/base/server/upgrade/10.1.99/05-RemoveConfigPathFromWebXML b/base/server/upgrade/10.1.99/05-RemoveConfigPathFromWebXML
index edc27e3f87c0a19517ed64c812aefb0e32b68a13..4117b7e6a5b518fe21665d03e6838e11c2f2202f 100755
--- a/base/server/upgrade/10.1.99/05-RemoveConfigPathFromWebXML
+++ b/base/server/upgrade/10.1.99/05-RemoveConfigPathFromWebXML
@@ -33,8 +33,17 @@ class RemoveConfigPathFromWebXML(pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def upgrade_subsystem(self, instance, subsystem):
 
-        default_cs_cfg = os.path.join(instance.base_dir, 'conf', subsystem.name, 'CS.cfg')
-        web_xml = os.path.join(instance.base_dir, 'webapps', subsystem.name, 'WEB-INF', 'web.xml')
+        default_cs_cfg = os.path.join(
+            instance.base_dir,
+            'conf',
+            subsystem.name,
+            'CS.cfg')
+        web_xml = os.path.join(
+            instance.base_dir,
+            'webapps',
+            subsystem.name,
+            'WEB-INF',
+            'web.xml')
 
         if not os.path.exists(web_xml):
             return
diff --git a/base/server/upgrade/10.2.1/01-AddTLSRangeSupport b/base/server/upgrade/10.2.1/01-AddTLSRangeSupport
index e2259245b73e65764626593e703daf405b013f6c..c9db5503bb33da96a927ba26e908b31da35d952a 100755
--- a/base/server/upgrade/10.2.1/01-AddTLSRangeSupport
+++ b/base/server/upgrade/10.2.1/01-AddTLSRangeSupport
@@ -34,21 +34,20 @@ class AddTLSRangeSupport(pki.server.upgrade.PKIServerUpgradeScriptlet):
 
         self.parser = etree.XMLParser(remove_blank_text=True)
 
-
     def upgrade_instance(self, instance):
 
-        server_xml = os.path.join(instance.conf_dir, 'server.xml') 
-        #Backup the file before modify
+        server_xml = os.path.join(instance.conf_dir, 'server.xml')
+        # Backup the file before modify
         self.backup(server_xml)
-        #Parse the server.xml into an XML object
+        # Parse the server.xml into an XML object
         document = etree.parse(server_xml, self.parser)
-        #perform the upgrade in memory
+        # perform the upgrade in memory
         self.add_tls_range(document)
-        #Once all changes are made, write the XML back into the same server.xml
-        #This way we're preserving any other customization that has been done
+        # Once all changes are made, write the XML back into the same server.xml
+        # This way we're preserving any other customization that has been done
         # to the server.xml
         with open(server_xml, 'w') as f:
-            f.write(etree.tostring(document, pretty_print=True)) 
+            f.write(etree.tostring(document, pretty_print=True))
 
     def add_tls_range(self, document):
 
@@ -57,7 +56,7 @@ class AddTLSRangeSupport(pki.server.upgrade.PKIServerUpgradeScriptlet):
         connectors = server.findall('.//Connector')
 
         for connector in connectors:
- 
+
             secure = connector.get('secure')
             if secure == 'true':
                 # Update Connector's attributes
@@ -65,38 +64,37 @@ class AddTLSRangeSupport(pki.server.upgrade.PKIServerUpgradeScriptlet):
                 connector.set('sslVersionRangeStream', 'tls1_0:tls1_2')
                 connector.set('sslVersionRangeDatagram', 'tls1_1:tls1_2')
                 connector.set('sslRangeCiphers',
-                    '-TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA,' \
-                    '-TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_ECDH_RSA_WITH_AES_128_CBC_SHA,' \
-                    '+TLS_ECDH_RSA_WITH_AES_256_CBC_SHA,' \
-                    '-TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_RSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_RSA_WITH_AES_128_CBC_SHA,' \
-                    '+TLS_RSA_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA,' \
-                    '-TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '-TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,' \
-                    '-TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_DHE_DSS_WITH_AES_128_CBC_SHA,' \
-                    '+TLS_DHE_DSS_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA,' \
-                    '+TLS_DHE_RSA_WITH_AES_128_CBC_SHA,' \
-                    '+TLS_DHE_RSA_WITH_AES_256_CBC_SHA,' \
-                    '+TLS_DHE_RSA_WITH_AES_128_CBC_SHA256,' \
-                    '+TLS_DHE_RSA_WITH_AES_256_CBC_SHA256,' \
-                    '+TLS_RSA_WITH_AES_128_CBC_SHA256,' \
-                    '+TLS_RSA_WITH_AES_256_CBC_SHA256,' \
-                    '+TLS_RSA_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_DHE_RSA_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_DHE_DSS_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,' \
-                    '+TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256,' \
-                    '+TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,' \
-                    '+TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256')
-
+                              '-TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA,'
+                              '-TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_ECDH_RSA_WITH_AES_128_CBC_SHA,'
+                              '+TLS_ECDH_RSA_WITH_AES_256_CBC_SHA,'
+                              '-TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA,'
+                              '+TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,'
+                              '+TLS_RSA_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_RSA_WITH_AES_128_CBC_SHA,'
+                              '+TLS_RSA_WITH_AES_256_CBC_SHA,'
+                              '+TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA,'
+                              '-TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA,'
+                              '-TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,'
+                              '-TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,'
+                              '+TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_DHE_DSS_WITH_AES_128_CBC_SHA,'
+                              '+TLS_DHE_DSS_WITH_AES_256_CBC_SHA,'
+                              '+TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA,'
+                              '+TLS_DHE_RSA_WITH_AES_128_CBC_SHA,'
+                              '+TLS_DHE_RSA_WITH_AES_256_CBC_SHA,'
+                              '+TLS_DHE_RSA_WITH_AES_128_CBC_SHA256,'
+                              '+TLS_DHE_RSA_WITH_AES_256_CBC_SHA256,'
+                              '+TLS_RSA_WITH_AES_128_CBC_SHA256,'
+                              '+TLS_RSA_WITH_AES_256_CBC_SHA256,'
+                              '+TLS_RSA_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_DHE_RSA_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_DHE_DSS_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,'
+                              '+TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256,'
+                              '+TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,'
+                              '+TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256')
